[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

next plan to bug fix



Hi all,

It seemed new mechanism with update-texmf and update-fmtutil
has not caused so serious problem.  Thanks for your support.

I intend to fix the following problems in the next upload:

- a bit more robust update-texmf/update-fmtutil

bug#139979 said;

	   Setting up tetex-bin (1.0.7+20011202-5.1) ...
	   /bin/ls: /etc/texmf/texmf.d/*: No such file or directory
	   Regenerating /etc/texmf/texmf.cnf ... 

	   It just hangs after writing this. 

This revealed to be caused by a broken package but 
hanging is very bad anyway.  So I guess to modify

if [ -f /etc/texmf/texmf.d/05TeXMF ] ; then
CNFFILES=`/bin/ls -1 /etc/texmf/texmf.d/* | egrep -v "(.dpkg-[a-z]*|~|.bak)$"`
else
echo "Something seems wrong"
exit 1
fi

might be better.  (Please let me know more cool message ;-)

Or more simply

CNFFILES=`/bin/ls -1 /etc/texmf/texmf.d/* | egrep -v "(.dpkg-[a-z]*|~|.bak)$"` || exit 1

is sufficient?
(I am thinking the similar modification for update-fmtutil.)

- 95662		simple, patch was supplied, and reasonable

- 131638	simple and easy (and fairly important)

- 138161/139028 if I understand correctly these are the same problem.
very useful for whizzytex(cool tool!) but I am not so
sure how to fix this; there are two patches,

--- /tmp/xdvi.old       Fri Mar 15 16:29:58 2002
+++ /usr/bin/xdvi       Fri Mar 15 16:30:08 2002
@@ -71,5 +71,4 @@
     filename=$tempfile
 fi
 
-xdvi.bin $NAMEOPT $args $filename || exit 1
-exit 0
+exec xdvi.bin $NAMEOPT $args $filename

and

--- /usr/bin/xdvi.orig  Tue Mar 19 10:34:32 2002
+++ /usr/bin/xdvi       Tue Mar 19 10:34:50 2002
@@ -71,5 +71,5 @@
     filename=$tempfile
 fi
 
-xdvi.bin $NAMEOPT $args $filename || exit 1
+exec xdvi.bin $NAMEOPT $args $filename || exit 1
 exit 0

which one is preferable?

Best regards,			2002.4.1

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima


-- 
To UNSUBSCRIBE, email to debian-tetex-maint-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Reply to: